summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFraser Li <55525214+fraserli@users.noreply.github.com>2020-06-22 21:41:07 +1000
committerGitHub <noreply@github.com>2020-06-22 07:41:07 -0400
commit497839b1ee804d86f9dac453108c7bbf071060ee (patch)
treefe58879b7e74a87fd43a388b708ad539e1de03a9
parente2203ed34f5f74b1d7b4651f35feaa86426bd087 (diff)
Added support for multiple gpg keys with pass (#472)
-rwxr-xr-xbin/mw2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/mw b/bin/mw
index c7a5c62..9bf00c3 100755
--- a/bin/mw
+++ b/bin/mw
@@ -3,7 +3,7 @@
command -V gpg >/dev/null 2>&1 && GPG="gpg" || GPG="gpg2"
[ -z ${PASSWORD_STORE_DIR+x} ] && PASSWORD_STORE_DIR="$HOME/.password-store"
[ -r "$PASSWORD_STORE_DIR/.gpg-id" ] &&
- "$GPG" --list-secret-keys "$(cat "$PASSWORD_STORE_DIR/.gpg-id")" >/dev/null 2>&1 || {
+ "$GPG" --list-secret-keys $(cat "$PASSWORD_STORE_DIR/.gpg-id") >/dev/null 2>&1 || {
printf "\`pass\` must be installed and initialized to encrypt passwords.\\nBe sure it is installed and run \`pass init <yourgpgemail>\`.\\nIf you don't have a GPG public private key pair, run \`%s --full-gen-key\` first.\\n" "$GPG"
exit
}